<script setup>
import TextInput from '@/Components/TextInput.vue';
import InputLabel from '@/Components/InputLabel.vue';
import InputError from '@/Components/InputError.vue';
import PrimaryButton from '@/Components/PrimaryButton.vue';
import { Link, useForm } from '@inertiajs/inertia-vue3';
import { notify } from "@kyvg/vue3-notification";

const props = defineProps(['userToEdit'])

const form = useForm({
    id: props.userToEdit.id,
    name: props.userToEdit.name,
    email: props.userToEdit.email,
});

const submit = () => {
    form.post(route('user.update'), {
        onFinish: () => notify({
            title: "Profile updated!",
            type: 'success',
        }),
    });
};

</script>
    
<template>
    <div class="flex flex-col">
        <form @submit.prevent="submit">
            <div>
                <InputLabel for="name" value="Name" />
                <TextInput id="name" type="text" class="mt-1 block w-full" v-model="form.name" autocomplete="name" />
                <InputError class="mt-2" :message="form.errors.name" />
            </div>
            <div class="mt-4">
                <InputLabel for="email" value="Email" />
                <TextInput id="email" type="text" class="mt-1 block w-full" v-model="form.email" autocomplete="email" />
                <InputError class="mt-2" :message="form.errors.email" />
            </div>
            <div class="mt-4">
                <Link :href="route('password.reset')" method="get" class="underline">Change Password</Link>
            </div>
            <div class="flex justify-end">
                <PrimaryButton class="ml-4" :class="{ 'opacity-25': form.processing }" :disabled="form.processing">
                    Update
                </PrimaryButton>
            </div>
        </form>
    </div>
</template>
    